Skip to main content

Update an accesstoken​

To update an accesstoken

Path Parameters
  • accessTokenId string required

    access token id

Request Body
  • accessTokenId int32
  • tokenName string
  • tokenType string

    Possible values: [DEFAULT, MS_SCIM, ALL, CUSTOM, OneTouch, CrowdStrike, NetAppRansomwareResilience]

    Default value: ALL

    (0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.

  • renewableUntilTimestamp int32

    Applicable only for ALL and CUSTOM token types

  • apiEndpoints string[]

    Relevant only for tokenType 3(CUSTOM)

  • tokenExpiryTimestamp int32

    Applicable only for MS_SCIM and OneTouch token types

  • enableIPAllowListFeature boolean

    Default value: false

    Enable IP allowlist feature

  • allowedIPs string[]

    Allowed IP addresses for using the AccessToken

Responses

OK


Schema
  • error object
  • errorMessage string
  • errorCode int32
  • tokenInfo object
  • accessTokenId int32
  • tokenName string
  • tokenType string

    Possible values: [DEFAULT, MS_SCIM, ALL, CUSTOM, OneTouch, CrowdStrike, NetAppRansomwareResilience]

    Default value: ALL

    (0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.

  • renewableUntilTimestamp int32

    Applicable only for ALL and CUSTOM token types

  • tokenExpiryTimestamp int32

    Applicable only for MS_SCIM and OneTouch token types

Loading...